Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationLDAP

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationLDAP

extends java.rmi.Remote

This interface define methods to manage LDAP server configuration.

Method Summary
`java.lang.String` | `autoImportLDAPUser(java.lang.String userName, java.lang.String password)` Auto import a LDAP user
`boolean` | `confirmFilter(java.lang.String userName, java.lang.String filter)` Test the user confirming the LDAP search filter or not
`boolean` | `deleteSynSchedule()` Delete the LDAP Synchronization schedule task
`boolean` | `disableSynSchedule()` Disable the LDAP Synchronization schedule
`boolean` | `enableSynSchedule()` Enable the LDAP Synchronization schedule
`boolean` | `exportSynResultToXMLFile(java.lang.String outputDir, SynchronizationResult result)` Export the LDAP synchronization result object to a xml file
`SynchronizationResult` | `getLastLDAPSynchronizeScheduleResult()` Get the last LDAP synchronization schedule task's result object
`java.util.Vector` | `getLDAPGroups()` Get the ldap groups set according to ldap configration
`java.util.Vector` | `getLDAPUsers()` Get the ldap users set according to ldap configration
`java.util.Properties` | `getSynchronizeSchedule()` Get the LDAP synchronization schedule's propeties
`java.util.Vector` | `getUserNames()` get ldap users names
`boolean` | `importAllLDAPUsersAndGroups(boolean isOverWrite)` Import all LDAP groups and users from LDAP server
`boolean` | `importLDAPGroups(boolean isOverWrite)` Import LDAP groups to local from LDAP Server(import to role or group)
`boolean` | `importLDAPUsers(boolean isOverWrite)` Import LDAP user to local from LDAP Server
`boolean` | `importSpecifyLDAPGroups(java.util.Vector specifyRolesName, boolean isOverWrite)` Import some LDAP groups that specified by customers to local from LDAP Server (import to role or group)
`boolean` | `importSpecifyLDAPUsers(java.util.Vector specifyUsersName, boolean isOverWrite)` Import some LDAP users that specified by customers to local from LDAP Server
`boolean` | `isLDAPScheduleEnable()` Check the LDAP Synchronization schedule is enable or not
`boolean` | `isValidLDAPUser(java.lang.String userName, java.lang.String password)` Check a user is a valid LDAP user or not
`boolean` | `isValidLDAPUserByDN(java.lang.String userName, java.lang.String userDN, java.lang.String password)` Check a user is a valid LDAP user or not
`java.util.Vector` | `listExistedGroups()` Return all groups in LDAP.
`java.util.Vector` | `listExistedUsers()` Return all user names in LDAP.
`boolean` | `submitSynchronizeSchedule(java.util.Properties pro, java.lang.String submitter)` Submit a new LDAP synchronization schedule to server.
`SynchronizationResult` | `synchronize()` Synchronize the server's security information with LDAP server
`java.lang.String` | `testRoleMap(java.lang.String filter, java.lang.String roleName)` Test the role Map is a valid role Map or not

Method Detail

### getUserNames

    java.util.Vector getUserNames()
                                  throws java.rmi.RemoteException

  get ldap users names

  Returns:
    vector with users names.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### listExistedUsers

    java.util.Vector listExistedUsers()
                                      throws java.rmi.RemoteException

  Return all user names in LDAP.

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### listExistedGroups

    java.util.Vector listExistedGroups()
                                       throws java.rmi.RemoteException

  Return all groups in LDAP.

  Throws:
    `java.rmi.RemoteException`

### importLDAPUsers

    boolean importLDAPUsers(boolean isOverWrite)
                            throws java.rmi.RemoteException

  Import LDAP user to local from LDAP Server

  Parameters:
    `isOverWrite` - true is LDAP user overwrite local user, otherwise is not.
  Returns:
    import sucessful or not
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### importSpecifyLDAPUsers

    boolean importSpecifyLDAPUsers(java.util.Vector specifyUsersName,
                                   boolean isOverWrite)
                                   throws java.rmi.RemoteException

  Import some LDAP users that specified by customers to local from LDAP Server

  Parameters:
    `specifyUsersName` - the specify LDAP users' name set.
    `isOverWrite` - true is LDAP user overwrite local user, otherwise is not.
  Returns:
    import sucessful or not
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### importLDAPGroups

    boolean importLDAPGroups(boolean isOverWrite)
                             throws java.rmi.RemoteException

  Import LDAP groups to local from LDAP Server(import to role or group)

  Parameters:
    `isOverWrite` - true is LDAP user overwrite local user, otherwise is not.
  Returns:
    import sucessful or not
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### importSpecifyLDAPGroups

    boolean importSpecifyLDAPGroups(java.util.Vector specifyRolesName,
                                    boolean isOverWrite)
                                    throws java.rmi.RemoteException

  Import some LDAP groups that specified by customers to local from LDAP Server (import to role or group)

  Parameters:
    `specifyRolesName` - specified roles' name set
    `isOverWrite` - true is LDAP user overwrite local user, otherwise is not.
  Returns:
    import sucessful or not
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### importAllLDAPUsersAndGroups

    boolean importAllLDAPUsersAndGroups(boolean isOverWrite)
                                        throws java.rmi.RemoteException

  Import all LDAP groups and users from LDAP server

  Parameters:
    `isOverWrite` - true is LDAP user overwrite local user, otherwise is not.
  Returns:
    import successful return true otherwise return false
  Throws:
    `java.rmi.RemoteException`

### getLDAPUsers

    java.util.Vector getLDAPUsers()
                                  throws java.rmi.RemoteException

  Get the ldap users set according to ldap configration

  Returns:
    the ldap users set.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getLDAPGroups

    java.util.Vector getLDAPGroups()
                                   throws java.rmi.RemoteException

  Get the ldap groups set according to ldap configration

  Returns:
    the ldap groups set.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### testRoleMap

    java.lang.String testRoleMap(java.lang.String filter,
                                 java.lang.String roleName)
                                 throws java.rmi.RemoteException

  Test the role Map is a valid role Map or not

  Parameters:
    `filter` - the role map's filter
    `roleName` - the role map's binding role name
  Returns:
    the test message
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### autoImportLDAPUser

    java.lang.String autoImportLDAPUser(java.lang.String userName,
                                        java.lang.String password)
                                        throws java.rmi.RemoteException

  Auto import a LDAP user

  Parameters:
    `userName` - the user's name
    `password` - the user's password
  Returns:
    if imported successful, return null, otherwise return error message
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### confirmFilter

    boolean confirmFilter(java.lang.String userName,
                          java.lang.String filter)
                          throws java.rmi.RemoteException

  Test the user confirming the LDAP search filter or not

  Parameters:
    `userName` - the user's name
    `filter` - the LDAP search filter
  Returns:
    if conform this filter return ture, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isValidLDAPUser

    boolean isValidLDAPUser(java.lang.String userName,
                            java.lang.String password)
                            throws java.rmi.RemoteException

  Check a user is a valid LDAP user or not

  Parameters:
    `userName` - the user's name
    `password` - the user's password
  Returns:
    if user is a valid LDAP user return true, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isValidLDAPUserByDN

    boolean isValidLDAPUserByDN(java.lang.String userName,
                                java.lang.String userDN,
                                java.lang.String password)
                                throws java.rmi.RemoteException

  Check a user is a valid LDAP user or not

  Parameters:
    `userDN` - the user's dn in LDAP server
    `password` - the user's password
  Returns:
    if user is a valid LDAP user return true, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### synchronize

    SynchronizationResult synchronize()
                                      throws java.rmi.RemoteException

  Synchronize the server's security information with LDAP server

  Returns:
    a SynchronizationResult Object, the user can get the synchronization information. For instance: the users' name that have been remove because LDAP server removed them.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isLDAPScheduleEnable

    boolean isLDAPScheduleEnable()
                                 throws java.rmi.RemoteException

  Check the LDAP Synchronization schedule is enable or not

  Returns:
    if this schedule is enable, return true, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### submitSynchronizeSchedule

    boolean submitSynchronizeSchedule(java.util.Properties pro,
                                      java.lang.String submitter)
                                      throws java.rmi.RemoteException

  Submit a new LDAP synchronization schedule to server. If there is a schedule store in server, the system will replace this old schedule with new schedule.

  Parameters:
    `pro` - the schedule's properties.
    `submitter` - the submitter's name
  Returns:
    If submit successful, return true. otherwise return false.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSynchronizeSchedule

    java.util.Properties getSynchronizeSchedule()
                                                throws java.rmi.RemoteException

  Get the LDAP synchronization schedule's propeties

  Returns:
    Properties the schedule's properties
  Throws:
    `java.rmi.RemoteException`

### disableSynSchedule

    boolean disableSynSchedule()
                               throws java.rmi.RemoteException

  Disable the LDAP Synchronization schedule

  Returns:
    if diable successful return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### enableSynSchedule

    boolean enableSynSchedule()
                              throws java.rmi.RemoteException

  Enable the LDAP Synchronization schedule

  Returns:
    if enable successful return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### deleteSynSchedule

    boolean deleteSynSchedule()
                              throws java.rmi.RemoteException

  Delete the LDAP Synchronization schedule task

  Returns:
    if delete successful return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### exportSynResultToXMLFile

    boolean exportSynResultToXMLFile(java.lang.String outputDir,
                                     SynchronizationResult result)
                                     throws java.rmi.RemoteException

  Export the LDAP synchronization result object to a xml file

  Parameters:
    `outputDir` - the xml file's dir, for example: C:\temp\result.xml
    `result` - the LDAP synchronization result
  Returns:
    if export object successful return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getLastLDAPSynchronizeScheduleResult

    SynchronizationResult getLastLDAPSynchronizeScheduleResult()
                                                               throws java.rmi.RemoteException

  Get the last LDAP synchronization schedule task's result object

  Returns:
    the LDAP synchroniztion result object
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD